Geral Office 365 SharePoint SharePoint 2013 Tecnologia

Problema com pré-requisitos na hora de criar uma app para SharePoint no Visual Studio 2015

Olá pessoal!

Hoje venho falar com vocês sobre um problema que tive recentemente em meu visual studio 2015 ao tentar criar um projeto de SharePoint add-in (o mesmo que utilizamos para fazer apps e remote event receivers) por conta de uma falha de pré-requisitos do office developer tools.

A mensagem que dava ao tentar criar um projeto era a seguinte:

Depois de quebrar bastante a cabeça e pesquisar, vi que o problema era na verdade com a instalação desse pré-requisito do Microsoft Exchange WebServices, e então descobri que havia a necessidade de reinstalá-lo novamente.

Caso você precise fazer o download novamente do instalador, o link está aqui.

 O grande problema aqui na reinstalação desse componente é que fazendo a instalação no formato normal não acontecia nada, mesmo após reiniciar o visual studio.

O grande macete nesse caso é rodar o instalador através do prompt de comando, abra o prompt de comando em modo de Administrador:

1

Vá até a pasta onde o instalador do Exchange WebServices e execute o seguinte comando:

EwsManagedApi32.msi addlocal="ExchangeWebServicesApi_Feature,ExchangeWebServicesApi_Gac"

2

Ao fim da execução, feche as instâncias do Visual Studio abertas e abra novamente a sua solução ou crie um novo projeto de SharePoint Add-in e pronto!

3

Espero que ajude na criação de novas apps e até a próxima!

Anúncios

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

w

Conectando a %s